%define name	onestroke
%define version	0.8.4
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Gesture recognition for tablet PC's
Version: 	%{version}
Release: 	%{release}

Source:		http://pub.risujin.org/onestroke/%{name}-%{version}.tar.gz
URL:		http://risujin.org/onestroke/
Patch0:		%{name}-0.8.4-fix-overlinking.patch
License:	GPLv2+
Group:		Accessibility
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	imagemagick
BuildRequires:	gtk2-devel
BuildRequires:  libxtst-devel
BuildRequires:  desktop-file-utils

%description
OneStroke is a pen gesture recognition program designed for Unix-based Tablet
PCs. The program serves as a keyboard replacement for tablet mode. When one of
the gestures is drawn on the main window, the configured keyboard event is
sent to the currently focused window.

%prep
%setup -q %name-%version
%patch0 -p1
chmod 644 README *.png *.desktop

%build
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/applications
mkdir -p %buildroot/%_datadir/pixmaps
make install PREFIX=%buildroot/%_prefix

#menu
sed -i "s/%{name}.png/%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT/%_datadir/applications $RPM_BUILD_ROOT/%_datadir/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/%name.png
%{_datadir}/%name-0.8
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png






%changelog
* Sun Apr 10 2011 dmorgan <dmorgan> 0.8.4-1.mga1
+ Revision: 82967
- Remove mdv macros
- imported package onestroke


* Tue May 19 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 377697
- update to new version 0.8.4
- add a patch to fix overlinking
- fix URL / source
- fix icon in desktop file
- fix license (GPLv2+)

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.3-2mdv2009.0
+ Revision: 220242
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Feb 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.3-1mdv2007.0
+ Revision: 122095
- Remove autoconf mistakes
- Fix Build
- New release 0.8.3
- Import onestroke

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.8.2-1mdv2007.0
- 0.8.2

* Thu Jul 27 2006 Austin Acton <austin@mandriva.org> 0.8.1-1mdv2007.0
- initial package

